package com.mortals.xhx.module.basics.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:BasicsDatum
* date: 2021-8-18 14:24:46
*/
public class BasicsDatumEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1629267886345L;


    /**
    * 一件事基础表 one_basics id
    */
    private Long basicsId;

    /**
    * 材料id 
    */
    private Long oneDatumIds;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public BasicsDatumEntity(){

    }
    /**
    * 获取 一件事基础表 one_basics id
    * @return basicsId
    */
    public Long getBasicsId() {
        return this.basicsId;
    }
    /**
    * 设置 一件事基础表 one_basics id
    * @param basicsId
    */
    public void setBasicsId(Long basicsId) {
        this.basicsId = basicsId;
    }
    /**
    * 获取 材料id 
    * @return oneDatumIds
    */
    public Long getOneDatumIds() {
        return this.oneDatumIds;
    }
    /**
    * 设置 材料id 
    * @param oneDatumIds
    */
    public void setOneDatumIds(Long oneDatumIds) {
        this.oneDatumIds = oneDatumIds;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof BasicsDatumEntity) {
            BasicsDatumEntity tmp = (BasicsDatumEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",basicsId:").append(getBasicsId())
                .append(",oneDatumIds:").append(getOneDatumIds())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.basicsId = null;

         this.oneDatumIds = null;

         this.updateTime = null;

         this.updateUser = null;

         this.createTime = null;

         this.createUser = null;

    }
}